<script setup lang="ts">
import { computed } from 'vue';
const props = defineProps<{
  color?: String;
  disabled?: boolean;
}>();

const emit = defineEmits(['onClick']);

const colors = computed(() => {
  return `${props.color} ${props.disabled ? 'bg-opacity-100' : 'hover:bg-opacity-80 active:bg-opacity-90'}`;
});

function onClick() {
  emit('onClick');
}
</script>

<template>
  <button :disabled="disabled" class="px-8 py-2 font-bold text-white rounded-lg" :class="colors" @click="onClick">
    <slot />
  </button>
</template>
